package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.util.Map;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.synctask.*;

public class SyncTranForOAFacade extends AbstractBizCtrl implements ISyncTranForOAFacade
{
    public SyncTranForOAFacade()
    {
        super();
        registerInterface(ISyncTranForOAFacade.class, this);
    }
    public SyncTranForOAFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncTranForOAFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("07053019");
    }
    private SyncTranForOAFacadeController getController() throws BOSException
    {
        return (SyncTranForOAFacadeController)getBizController();
    }
    /**
     *OA部门信息同步-User defined method
     *@param billds 组织id
     *@param action 操作
     *@return
     */
    public Map syncOrgUnitToOA(String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            return getController().syncOrgUnitToOA(getContext(), billds, action);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *OA岗位信息同步-User defined method
     *@param billds 岗位id
     *@param action 操作类型
     *@return
     */
    public Map syncPositionToOA(String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            return getController().syncPositionToOA(getContext(), billds, action);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *OA人员信息同步-User defined method
     *@param billds 人员id
     *@param action 操作类型
     *@return
     */
    public Map syncPersonToOA(String billds, ActionTypeEnum action) throws BOSException, EASBizException
    {
        try {
            return getController().syncPersonToOA(getContext(), billds, action);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *主要同步人员OAid-User defined method
     *@param personNumbers 工号
     */
    public void syncPersonFromOAByNumber(String personNumbers) throws BOSException, EASBizException
    {
        try {
            getController().syncPersonFromOAByNumber(getContext(), personNumbers);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *主要同步人员OAid-User defined method
     *@param personIds 员工id
     */
    public void syncPersonFromOAById(String personIds) throws BOSException, EASBizException
    {
        try {
            getController().syncPersonFromOAById(getContext(), personIds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}